const main_crypto_data = {
  cardano: {
    date: "September 2017",
    symbol: "ADA",
    price: "$1.20",
    marketcap: "$38,280,308,190",
    page: "https://www.cardano.org/",
    sourcecode: "https://cardanoupdates.com/",
    color: "#0a38a6",
    darkcolor: "#3e75f4",
    description:
      "Cardano is a general-purpose blockchain designed based on peer-reviewed academic research. It’s being developed by a multidisciplinary team of engineers, mathematicians, scientists, and business professionals. Ongoing platform development is always accomplished using a scientific approach. According to its creators, the key design principles behind Cardano are security, scalability, and interoperability.newline Ada, the native currency of Cardano, is used to perform operations on the Cardano blockchain, much like the relationship between ether (ETH) and Ethereum. Cardano’s development is separated into multiple business units. IOHK handles the development of the Cardano protocol, while the Cardano Foundation supervises the project, and EMURGO is responsible for business development and driving adoption. IOHK also has been involved with the development of Ethereum Classic (ETC). Cardano is designed as a 'third-generation' blockchain, aiming to solve the scalability problems of generation one (e.g., Bitcoin) and generation two (e.g., Ethereum). According to the proponents  of this classification, previous generation blockchains suffer from bottlenecks that fundamentally limit the amount of throughput they can handle. This makes them an inefficient choice for worldwide mass use. We can look to fluctuating BTC and ETH transaction times to confirm this problem. Cardano aims to improve throughput in a number of ways. One of the most significant pillars of this goal is their own Proof of Stake (PoS) consensus mechanism called Ouroboros. Ouroboros reduces energy cost compared to Proof of Work (PoW) while providing provable security guarantees. Cardano’s Layer 2 solution for further scalability, Hydra, is named after the mythical creature of the same name. The idea is that throughput is increased as each new node is added to the network. The hard fork combinator is also a key feature of Cardano, which allows hard forking without interruptions or restarts to the blockchain.newline Cardano is an ambitious project that aims to provide blockchain infrastructure in the crypto ecosystem. While the project progresses slower than some may expect, it also aims high. But will this third-generation blockchain project end up becoming the dominant smart contract platform, or will it come to market too slowly? Are there fourth-generation blockchains that could do what it does better? These questions remain to be answered as Cardano progresses further on its roadmap.",
  },
  polkadot: {
    date: "May 2020",
    symbol: "DOT",
    price: "$39.54",
    marketcap: "$36,633,218,066",
    page: "https://polkadot.network/",
    sourcecode: "https://github.com/w3f",
    color: "#e6007a",
    darkcolor: "#e6007a",
    description:
      "Blockchain has been around since the inception of Bitcoin. While it has been called a groundbreaking technology, there are also certain drawbacks to take into account. Individual blockchains are unable to communicate with another. Introducing interoperability between different chains could lead to the exchange of data, and ultimately more powerful applications and services. Developers have tried to 'bridge' blockchains in the past. Doing so allows chain A to work with chain B and vice versa. However, connecting many (think hundreds or thousands) blockchains at the same time remains a pressing issue. Polkadot's team, and by extension, the Web3 Foundation, is confident that an elegant solution can be created over the coming years.newline Described as an open-source protocol built for everyone, Polkadot claims to be the next step in the evolution of blockchain technology. It’s a concept initially envisioned by Dr. Gavin Wood, co-founder of Ethereum. The team wants to focus its efforts on security, scalability, and innovation. To do so, the necessary infrastructure needs to be created to not only support new ideas and concepts but also ensure that proper interoperability can be achieved. An individual blockchain in the Polkadot ecosystem is called a parachain (parallel blockchain), while the main chain is called the Relay Chain. The idea is that parachains and the Relay Chain can easily exchange information at all times. You could think of parachains as being similar to individual shards in the planned implementation of ETH 2.0. Any developer, company, or individual can spin up their custom parachain through Substrate, a framework for creating cryptocurrencies and decentralized systems. Once the custom chain is connected to the Polkadot network, it becomes interoperable with all other parachains on the network. Building cross-chain applications, products, and services should become a lot more straightforward with this design. Cross-blockchain transfers of either data or assets have not been possible on a large scale before. Securing and validating the data across these different parachains is done through network validators, where a small set of these validators can secure multiple parachains. These validators will also ensure transactions can be spread across multiple parachains to improve scalability.newline On paper, there are many things that can make Polkadot attractive to developers. It’s an ecosystem capable of catering to individual coders, as well as small businesses and large corporations. Being able to deploy custom blockchains to suit specific needs, and upgrade them without hassle is a novel concept that could be valuable for the entire crypto space.",
  },
  litecoin: {
    date: "October 2011",
    symbol: "LTC",
    price: "$222.90",
    marketcap: "$14,913,117,215",
    page: "https://litecoin.org/",
    sourcecode: "https://github.com/litecoin-project",
    color: "#1c0db2",
    darkcolor: "#9288f6",
    description:
      "Litecoin (LTC) is an alternative cryptocurrency created in October 2011 by Charles 'Charlie' Lee. Litecoin is a fork of Bitcoin (BTC). Like Bitcoin, Litecoin is based on an open-source global payment network that is not controlled by any central authority. Litecoin differs from Bitcoin in aspects like faster block generation rate and use of Scrypt as a proof of work scheme. Charlie Lee is a graduate of the Massachusetts Institute of Technology and a former Google engineer who became interested in Bitcoin in 2011. According to Lee, 'In October of 2011, I was playing around with the Bitcoin code base, and I guess the short of it was that I was just trying to create...a fork of Bitcoin. It was mainly a fun side project'.newline Litecoin was launched with the aim of being the 'silver' to Bitcoin's 'gold'. Like Bitcoin, Litecoin is a peer-to-peer internet currency. It is a fully decentralized, open-source, global payment network. Lee developed Litecoin with the aim to improve on Bitcoin's shortcomings. The broader differences between the two cryptocurrencies are listed in the table below. It  is designed to produce four times as many blocks as Bitcoin (1 new block every 2.5 minutes to Bitcoin's 10), and it also allows for 4x the coin limit, making its main appeal over Bitcoin to do with speed and ease of acquisition. However, because Litecoin uses Scrypt (as opposed to Bitcoin's SHA-256) as a proof-of-work algorithm, the use of mining hardware such as ASIC miners or a GPU mining rig requires significantly more processing power.newline Litecoin is consistently among the largest cryptocurrencies in terms of market capitalization (though still remaining far below that of Bitcoin), and as of March 2021, it had more than 66 million coins in circulation.",
  },
  ethereum: {
    date: "July 2015",
    symbol: "ETH",
    price: "$1997.50",
    marketcap: "$230,601,285,097",
    page: "https://www.ethereum.org/",
    sourcecode: "https://github.com/ethereum",
    color: "#717374",
    darkcolor: "#859fad",
    description:
      "Ethereum, like Bitcoin and other cryptocurrencies, allows you to transfer digital money. However, it’s capable of a lot more – you can deploy your own code, and interact with applications created by other users. Because it’s so flexible, all sorts of sophisticated programs can be launched on Ethereum. Simply put, the main idea behind Ethereum is that developers can create and launch code which runs across a distributed network instead of existing on a centralized server. This means that, in theory, these applications can’t be shut down or censored.newline We could define Ethereum as a state machine. All this means is that, at any given time, you have a snapshot of all the account balances and smart contracts as they currently look. Certain actions will cause the state to be updated, meaning that all of the nodes update their own snapshot to reflect the change. The smart contracts that run on Ethereum are triggered by transactions (either from users or other contracts). When a user sends a transaction to a contract, every node on the network runs the contract’s code and records the output. It does this by using the Ethereum Virtual Machine (EVM), which converts the smart contracts into instructions the computer can read. To update the state, a special mechanism called mining is used (for now). Mining is done with a Proof of Work algorithm, much like Bitcoin’s. A smart contract is just code. The code is neither smart, nor is it a contract in the traditional sense. But we call it smart because it executes itself under certain conditions, and it could be regarded as a contract in that it enforces agreements between parties.newline For all of its potential, Ethereum currently does have considerable limitations.  In short, if Ethereum aims to be the backbone of the new financial system, it needs to be able to process a lot more transactions per second. Given the distributed nature of the network, this is an immensely difficult problem to solve, and Ethereum developers have been thinking about it for years.",
  },
  chainlink: {
    date: "June 2017",
    symbol: "LINK",
    price: "$32.15",
    marketcap: "$13,413,769,692",
    page: "https://chain.link/",
    sourcecode: "https://github.com/smartcontractkit",
    color: "#375bd2",
    darkcolor: "#375bd2",
    description:
      "Smart contracts automate agreements on the blockchain. They evaluate information, and if certain conditions are met, they execute. However, this presents a problem. Blockchains don’t really have a good way to access external data. The difficulty of connecting off-chain data with on-chain data is one of the great challenges facing smart contracts. Chainlink attempts to solve this problem by providing a decentralized oracle service. In short, an oracle is a piece of software that translates external data to a language that smart contracts can understand (and vice versa).newline Chainlink is a blockchain-based decentralized oracle network that allows smart contracts to connect to external data sources. These can include APIs, internal systems, or other types of external data feeds. LINK is an ERC-20 token that’s used to pay for this oracle service on the network. So what makes Chainlink decentralized? Well, first, we need to understand what a centralized oracle is. It isn’t hard to guess – it’s a single provider of external information to a smart contract. It’s only one source. This can present great problems. What if that one oracle provides false or incorrect data? All the systems that rely on it will fail. This is often called 'the oracle problem' – and is what Chainlink is attempting to solve. Chainlink uses a network of nodes in an attempt to make the data provided to smart contracts as trustworthy and reliable as possible. Let’s say a smart contract requires real-world data, and it puts out a request for it. The Chainlink protocol registers this event and forwards it to Chainlink nodes to take their 'bids' on the request. What makes this process powerful is how Chainlink can validate data from multiple sources. Due to an internal reputation system, Chainlink can determine with a relatively high accuracy which sources are trustworthy. This can greatly increase the accuracy of the results and protect smart contracts from all sorts of attacks. So, how is this connected to LINK? Well, the smart contracts that request the data pay Chainlink node operators in LINK in exchange for their service. The prices are set by the node operators based on the market conditions for that data. Node operators also stake on the network to ensure long-term commitment to the project. Similarly to Bitcoin’s cryptoeconomic model, Chainlink node operators are incentivized to act in a trustworthy manner instead of being malicious.newline Chainlink’s technology has proven to be one of the most important pillars of the DeFi and broader crypto ecosystem. While that does introduce risks onto Ethereum DeFi, trusted external data sources are one of the most important building blocks for a healthy on-chain ecosystem of products.",
  },
  xrp: {
    date: "June 2012",
    symbol: "XRP",
    price: "$0.93",
    marketcap: "$42,596,454,416",
    page: "https://xrpl.org/",
    sourcecode: "https://github.com/ripple",
    color: "#0f72e5",
    darkcolor: "#3f93f3",
    description:
      "XRP is a digital asset built for payments. It is the native digital asset on the XRP Ledger—an open-source, permissionless and decentralized blockchain technology that can settle transactions in 3-5 seconds. XRP can be sent directly without needing a central intermediary, making it a convenient instrument in bridging two different currencies quickly and efficiently. Faster, less costly and more scalable than any other digital asset, XRP and the XRP Ledger are used to power innovative technology across the payments space.newline Ripple (the company that introduced and built XRP) is focused on building technology to help unleash new utility for XRP and transform global payments. Third parties are also pursuing other XRP-related use cases. The ledger is maintained by independent participants of a global 'XRP Community,' of which Ripple is an active member. Independent validator nodes come to an agreement on the order and validity of XRP transactions. This agreement, called consensus, serves as final and irreversible settlement. The ledger reaches consensus on all outstanding transactions every 3-5 seconds, at which point a new ledger is issued. Anyone can be a validator, and active validators on the ledger today include universities, exchanges and financial institutions. There are currently 36 validators, and Ripple runs 6 of them—16%.newline While Bitcoin is known as the first cryptocurrency and Ethereum is recognized for the creation of a platform for smart contracts, we may consider Ripple network as a currency exchange system that focuses on global payment solutions for banks and other financial institutions.",
  },
};
